Index: reactapp/src/App.js
===================================================================
--- reactapp/src/App.js	(revision 080a3f3adcf9c240bf2c17a932bbbd92f45d45df)
+++ reactapp/src/App.js	(revision 0df6b9e24ad1899a4cfe51c13679eb77859cc89f)
@@ -16,6 +16,5 @@
         }
       </style>
-      <MainTitle>profesori.mk</MainTitle>
-      <Search />
+      <MainTitle>profesori.mk</MainTitle> <Search />
       <Outlet />
     </MainWrapper>
Index: reactapp/src/Components/Main.style.js
===================================================================
--- reactapp/src/Components/Main.style.js	(revision 080a3f3adcf9c240bf2c17a932bbbd92f45d45df)
+++ reactapp/src/Components/Main.style.js	(revision 0df6b9e24ad1899a4cfe51c13679eb77859cc89f)
@@ -17,3 +17,5 @@
   text-decoration: underline 3px;
   margin-bottom: 30px;
+  width: fit-content;
+  float: left;
 `;
Index: reactapp/src/Components/ProfessorCard.style.js
===================================================================
--- reactapp/src/Components/ProfessorCard.style.js	(revision 080a3f3adcf9c240bf2c17a932bbbd92f45d45df)
+++ reactapp/src/Components/ProfessorCard.style.js	(revision 0df6b9e24ad1899a4cfe51c13679eb77859cc89f)
@@ -6,4 +6,5 @@
   padding: 10px;
   margin-bottom: 30px;
+  margin-top: 140px;
 `;
 
Index: reactapp/src/Components/Search.js
===================================================================
--- reactapp/src/Components/Search.js	(revision 080a3f3adcf9c240bf2c17a932bbbd92f45d45df)
+++ reactapp/src/Components/Search.js	(revision 0df6b9e24ad1899a4cfe51c13679eb77859cc89f)
@@ -3,6 +3,9 @@
 import { transliterate } from "../Util/transliterate";
 import {
-  SearchDropdownContentSmall,
+  SearchDropdownResultSmall,
+  SearchDropdownTextSmall,
   SearchDropdownSmall,
+  SearchDropdownResultLinkSmall,
+  SearchSmall,
 } from "./Search.style";
 function Search() {
@@ -32,23 +35,34 @@
 
   return (
-    <div style={{ position: "relative" }}>
-      <input
+    <div
+      style={{
+        position: "relative",
+        width: "fit-content",
+        float: "right",
+      }}
+    >
+      <SearchSmall
         placeholder="Пребарувај..."
         onChange={(e) => setQuery(e.target.value)}
       />
-
-      {query.length > 2 &&
-        professors.slice(0, 10).map((professor) => (
-          <SearchDropdownSmall>
-            <div key={professor.professorId}>
-              <SearchDropdownContentSmall weight="bold" size="medium">
-                {professor.professorName}
-              </SearchDropdownContentSmall>
-              <SearchDropdownContentSmall weight="normal" size="smaller">
-                {professor.faculty.facultyName}
-              </SearchDropdownContentSmall>
-            </div>
-          </SearchDropdownSmall>
-        ))}
+      <SearchDropdownSmall
+        display={query.length > 2 && professors.length > 0 ? "block" : "none"}
+      >
+        {query.length > 2 &&
+          professors.slice(0, 7).map((professor) => (
+            <SearchDropdownResultSmall key={professor.professorId}>
+              <SearchDropdownResultLinkSmall
+                href={"/professor/" + professor.professorId}
+              >
+                <SearchDropdownTextSmall weight="bold" size="medium">
+                  {professor.professorName}
+                </SearchDropdownTextSmall>
+                <SearchDropdownTextSmall weight="normal" size="smaller">
+                  {professor.faculty.facultyName}
+                </SearchDropdownTextSmall>
+              </SearchDropdownResultLinkSmall>
+            </SearchDropdownResultSmall>
+          ))}
+      </SearchDropdownSmall>
     </div>
   );
Index: reactapp/src/Components/Search.style.js
===================================================================
--- reactapp/src/Components/Search.style.js	(revision 080a3f3adcf9c240bf2c17a932bbbd92f45d45df)
+++ reactapp/src/Components/Search.style.js	(revision 0df6b9e24ad1899a4cfe51c13679eb77859cc89f)
@@ -1,6 +1,21 @@
 import styled from "styled-components";
+import searchicon from "../searchicon.png";
+
+export const SearchSmall = styled.input`
+  width: 350px;
+  box-sizing: border-box;
+  border: 2px solid #ccc;
+  font-size: 16px;
+  background-color: #f9f9f9;
+  background-image: url(${searchicon});
+  background-position: 10px 10px;
+  background-repeat: no-repeat;
+  padding: 12px 20px 12px 40px;
+  margin-top: 10px;
+`;
 
 export const SearchDropdownSmall = styled.div`
-  display: block;
+  display: ${(props) => props.display};
+  position: absolute;
   background-color: #f9f9f9;
   min-width: 160px;
@@ -8,7 +23,23 @@
   padding: 12px 16px;
   z-index: 1;
+  width: 350px;
+  padding: 0;
 `;
 
-export const SearchDropdownContentSmall = styled.p`
+export const SearchDropdownResultSmall = styled.div`
+  &:hover {
+    background-color: papayawhip;
+    border: 1px solid blue;
+    text-decoration: underline 1px blue;
+  }
+  padding: 10px;
+`;
+
+export const SearchDropdownResultLinkSmall = styled.a`
+  text-decoration: none;
+  color: black;
+`;
+
+export const SearchDropdownTextSmall = styled.p`
   font-weight: ${(props) => props.weight};
   font-size: ${(props) => props.size};
Index: reactapp/src/Pages/Professor.js
===================================================================
--- reactapp/src/Pages/Professor.js	(revision 080a3f3adcf9c240bf2c17a932bbbd92f45d45df)
+++ reactapp/src/Pages/Professor.js	(revision 0df6b9e24ad1899a4cfe51c13679eb77859cc89f)
@@ -3,10 +3,4 @@
 import JSOG from "jsog";
 import OpinionTree from "../Components/OpinionTree";
-import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
-import {
-  solid,
-  regular,
-  brands,
-} from "@fortawesome/fontawesome-svg-core/import.macro";
 
 import {
@@ -70,5 +64,5 @@
     return (
       <div>
-        <p>loading</p>
+        <p style={{ marginTop: "140px" }}>се вчитува...</p>
         <Outlet />
       </div>
